conflicts {base} | R Documentation

## Search for Masked Objects on the Search Path

### Description

`conflicts` reports on objects that exist with the same name in two or more places on the `search` path, usually because an object in the user's workspace or a package is masking a system object of the same name. This helps discover unintentional masking.

### Usage

    conflicts(where = search(), detail = FALSE)

### Arguments

`where` | A subset of the search path, by default the whole search path.
`detail` | If `TRUE`, give the masked or masking functions for all members of the search path.

### Value

If `detail = FALSE`, a character vector of masked objects. If `detail = TRUE`, a list of character vectors giving the masked or masking objects in that member of the search path. Empty vectors are omitted.

### Examples

    lm <- 1:3
    conflicts(, TRUE)
    ## gives something like
    # $.GlobalEnv
    # [1] "lm"
    #
    # $package:base
    # [1] "lm"

    ## Remove things from your "workspace" that mask others:
    remove(list = conflicts(detail = TRUE)$.GlobalEnv)

[Package base version 3.4.2 Index]